Package org.eclipse.net4j.util.concurrent

## Interface ISynchronizer<RESULT>

- All Known Implementing Classes:
    `ResultSynchronizer`

      public interface ISynchronizer<RESULT>

  Synchronizes a producer and a consumer thread letting the producer pass a value to the consumer. Both producer and consumer must have access to this `ISynchronizer` and there must only ever exist one consumer for it. Once the result value is consumed by the consumer this `ISynchronizer` must not be reused.

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RESULT` | `get​(long timeout)` |
    `void` | `put​(RESULT result)` |
    `boolean` | `put​(RESULT result, long timeout)` |

- - ### Method Detail

    - #### get

          RESULT get​(long timeout)

    - #### put

          void put​(RESULT result)

    - #### put

          boolean put​(RESULT result,
                      long timeout)